Package classycle.renderer

# Class AbstractStrongComponentRenderer

java.lang.Object
classycle.renderer.AbstractStrongComponentRenderer

All Implemented Interfaces:
  `StrongComponentRenderer`

Direct Known Subclasses:
  `PlainStrongComponentRenderer`, `TemplateBasedStrongComponentRenderer`, `XMLStrongComponentRenderer`

public abstract class AbstractStrongComponentRenderer extends Object implements StrongComponentRenderer
Abstract superclass of all `StrongComponentRenderer`.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`AbstractStrongComponentRenderer()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`createName(StrongComponent component)`
Creates an appropriated name for the specified `StrongComponent`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface classycle.renderer.StrongComponentRenderer

`render`

## Constructor Details

### AbstractStrongComponentRenderer

public AbstractStrongComponentRenderer()

## Method Details

### createName

public static String createName(StrongComponent component)
Creates an appropriated name for the specified `StrongComponent`. Usually, the name is the fully-qualified class name of the first vertex in `component` extended by "et al." if `component` contains more than one vertex. If `component` contains only a class and its inner classes the name is the fully-qualified class name of the outer class extended by "and inner classes".